%define name utempter
%define major 0
%define libname lib%{name}%{major}


Summary: Priviledged helper for utmp/wtmp updates
Name: %name
Version: 0.5.2
Release: 4mdk
License: MIT
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
Prereq: /usr/sbin/groupadd, /sbin/ldconfig, fileutils
BuildRoot: %{_tmppath}/%{name}-root
Requires: %{libname} = %{version}

%description
Utempter is a utility which allows some non-privileged programs to
have required root access without compromising system
security. Utempter accomplishes this feat by acting as a buffer
between root and the programs.

%package -n %{libname}
Summary: Library used by %{name}
Group: System/Libraries

%description -n %{libname}
Libutempter is an library which allows some non-privileged
programs to have required root access without compromising system
security. It accomplishes this feat by acting as a buffer
between root and the programs.

%package -n %{libname}-devel
Summary: Devel files for %{name}
Group: Development/C
Provides: libutempter-devel %{name}-devel
Requires: %{libname} = %{version}

%description -n %{libname}-devel
Header files for writing apps using libutempter

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

ln -sf lib%{name}.so.%{version} $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so.%{major}


%clean
rm -rf $RPM_BUILD_ROOT

%pre 
/usr/sbin/groupadd -g 22 -r -f utmp

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING
%attr(02755, root, utmp) /usr/sbin/utempter

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libutempter.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libutempter.so
%{_includedir}/utempter.h


%changelog
* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.2-4mdk
- add COPYING to %%libname

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5.2-3mdk
- -devel package Provides: %%{name}-devel

* Thu Jul 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.2-2mdk
- no need to do initscript job on /var/{log/wtmp,run/utmp}
- libify
- fix -devel group
- add license file

* Tue Jun 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.2-1mdk
- new release

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.1-4mdk
- BM

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 0.5.1-3mdk
- add -devel
- add soname
- spec helper cleanup

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5.1-2mdk
- changed group

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.1
- fix utmp as group 22.
- strip utempter.
- defattr to root.

* Thu Jun 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Jun  4 1999 Jeff Johnson <jbj@redhat.com>
- ignore SIGCHLD while processing utmp.
